/* Fonts */
h1, h2, p, li, a, details {font-family: Arial, Helvetica, Verdana, sans-serif;}

/* Colours */
h1 {background-color:DarkGreen;   color:white; padding:8px;}
h2 {background-color:ForestGreen; color:white; padding:6px;}

.panel {background-color: black; color: white;}

/* Links */
a:link { text-decoration: none; }

/* Background Image */
.background-image {
  background-image:      url('Phil in Norway.jpeg');
  background-repeat:     no-repeat;
  background-attachment: fixed;
  background-size:       cover;
}

/* Navbar */
.horizontal-navbar {
  color: white;
  background-color:Maroon;
  font-size: 2em;
  font-weight: bold;
  padding: 8px;
  & * {
    color: inherit;
    background-color: inherit;
  }
  & > * { display: inline-block; margin: 0px 10px;}
  a:hover { background-color: DarkBlue; }
}

.dropdown-box {
  display: inline-block;
  &:hover .dropdown {
    display: block;
    & > * { display: block; }
  }
  & > a:first-child:after {
    font-family: var(--fa-style-family-classic);
    content: " \f0d7";
  }
}

.dropdown {
	display: none;
	position: absolute;
}

.active-menu-item { background-color: DimGrey; }

/* Footer */
footer {
  color: white;
  background-color: Maroon;
}

footer p { padding: 4px; }

/* Layout */
.flex-container { display: flex; }
.flex-item {
  margin: 10px;
  padding: 10px;
}

.column > * { display: block; }
